Bug 1426038 - Dashboard of cockpit is missing with RHVH 4.0.7
Summary: Dashboard of cockpit is missing with RHVH 4.0.7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhev-hypervisor-ng
Version: 4.0.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.0.7
: ---
Assignee: Ryan Barry
QA Contact: Wei Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-23 05:46 UTC by Wei Wang
Modified: 2017-03-16 15:40 UTC (History)
12 users (show)

Fixed In Version: redhat-release-virtualization-host-4.0-7.0.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-16 15:40:00 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)
picture (88.44 KB, image/png)
2017-02-23 05:46 UTC, Wei Wang
no flags Details
log files (227.23 KB, application/x-gzip)
2017-02-23 05:47 UTC, Wei Wang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0549 normal SHIPPED_LIVE Moderate: redhat-virtualization-host security and bug fix update 2017-03-16 19:26:25 UTC

Description Wei Wang 2017-02-23 05:46:35 UTC
Created attachment 1256769 [details]
picture

Description of problem:
Dashboard of cockpit is missing with RHVH 4.0.7

Version-Release number of selected component (if applicable):
redhat-virtualization-host-4.1-20161222.0
cockpit-ws-131-3.el7.x86_64
cockpit-system-131-3.el7.noarch
cockpit-ovirt-dashboard-0.10.6-1.4.2.el7ev.noarch
cockpit-bridge-131-3.el7.x86_64
imgbased-0.8.13-0.1.el7ev.noarch


How reproducible:
100%

Steps to Reproduce:
1. Clean install RHVH 4.0.7
2. Login to cockpit webUI with root account
3. Check the "Dashboard" page



Actual results:
There are only system page and "Virtualization" page, "Dashboard" page for cockpit is missing.


Expected results:
Dashboard page of cockpit should be displayed as before version.



Additional info:
The issue is not occurred with before RHVH4.0 version.

Comment 1 Wei Wang 2017-02-23 05:47:43 UTC
Created attachment 1256771 [details]
log files

Comment 2 Ryan Barry 2017-02-23 05:49:19 UTC
Dominik -

Is it a fair assumption that cockpit-dashboard is now required for this?

Comment 3 Dominik Perpeet 2017-02-23 07:52:28 UTC
Yes, cockpit-dashboard was split out from cockpit-ws

cockpit-dashboard:
Cockpit support for remoting to other servers, bastion hosts, and a basic dashboard

The remaining cockpit-ws doesn't depend on libssh anymore (requires Extras) and this move reflects how flexible Cockpit is regarding authentication.

Both the dashboard and cockpit-ssh process go into this subpackage: cockpit-dashboard

Note that until we have a stable interface between cockpit-ws and its authentication processes, we need to require identical versions between cockpit-ws and cockpit-dashboard.

Upstream commit: https://github.com/cockpit-project/cockpit/commit/fef9d7ca07d2d6dedd7267fa89dacd4c4792af5f

Comment 5 Wei Wang 2017-02-23 09:53:59 UTC
Update the RHVH test version
redhat-virtualization-host-4.0-20170222.0

Comment 7 Wei Wang 2017-03-03 08:55:28 UTC
Test version:
redhat-virtualization-host-4.0-0.20170302.0
cockpit-ovirt-dashboard-0.10.6-1.4.2.el7ev.noarch
cockpit-ws-131-3.el7.x86_64
cockpit-dashboard-131-3.el7.x86_64
imgbased-0.8.15-0.1.el7ev.noarch

Test steps
1. Clean install RHVH 4.0.7
2. Login to cockpit webUI with root account
3. Check the "Dashboard" page

Result:
Dashboard page of cockpit displays right.

The bug is fixed, change the status to VERIFIED.

Comment 11 errata-xmlrpc 2017-03-16 15:40:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0549.html


Note You need to log in before you can comment on or make changes to this bug.